Skills
Skills define competencies that employees can have, used for resource planning and allocation.
Use the Datastore_Skill endpoint to query skills.
Endpoints
List Skills
GET
/v1/odata/Datastore_SkillSingle Skill
GET
/v1/odata/Datastore_Skill({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Employee | Relationship_Person_Contact_Employee | 1:N | Employee |
Expanding Relationships
GET
/v1/odata/Datastore_Skill({id})?$expand=EmployeeNavigating Relationships
GET
/v1/odata/Datastore_Skill({id})/EmployeeFiltering Examples
GET
/v1/odata/Datastore_Skill?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Skill?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Skill?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Skill?$filter=IsDefault eq {IsDefault}&$top={top}